org.apache.cassandra.db

## Class AbstractRangeCommand

- java.lang.Object
- - org.apache.cassandra.db.AbstractRangeCommand

All Implemented Interfaces:
  IReadCommand

Direct Known Subclasses:
  PagedRangeCommand, RangeSliceCommand

    public abstract class AbstractRangeCommand
    extends java.lang.Object
    implements IReadCommand

### Field Summary

Fields
`java.lang.String` `columnFamily`
`AbstractBounds<RowPosition>` `keyRange`
`java.lang.String` `keyspace`
`IDiskAtomFilter` `predicate`
`java.util.List<IndexExpression>` `rowFilter`
`SecondaryIndexSearcher` `searcher`
`long` `timestamp`

### Constructor Summary

Constructors
Constructor and Description
`AbstractRangeCommand(java.lang.String keyspace, java.lang.String columnFamily, long timestamp, AbstractBounds<RowPosition> keyRange, IDiskAtomFilter predicate, java.util.List<IndexExpression> rowFilter)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract boolean` `countCQL3Rows()`
`abstract MessageOut<? extends AbstractRangeCommand>` `createMessage()`
`abstract java.util.List<Row>` `executeLocally()`
`abstract AbstractRangeCommand` `forSubRange(AbstractBounds<RowPosition> range)`
`java.lang.String` `getKeyspace()`
`long` `getTimeout()`
`boolean` `ignoredTombstonedPartitions()` Returns true if tombstoned partitions should not be included in results or count towards the limit.
`abstract int` `limit()`
`java.util.List<Row>` `postReconciliationProcessing(java.util.List<Row> rows)`
`boolean` `requiresScanningAllRanges()`
`abstract AbstractRangeCommand` `withUpdatedLimit(int newLimit)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### keyspace

    public final java.lang.String keyspace

#### columnFamily

    public final java.lang.String columnFamily

#### timestamp

    public final long timestamp

#### keyRange

    public final AbstractBounds<RowPosition> keyRange

#### predicate

    public final IDiskAtomFilter predicate

#### rowFilter

    public final java.util.List<IndexExpression> rowFilter

#### searcher

    public final SecondaryIndexSearcher searcher

### Constructor Detail

#### AbstractRangeCommand

    public AbstractRangeCommand(java.lang.String keyspace,
                                java.lang.String columnFamily,
                                long timestamp,
                                AbstractBounds<RowPosition> keyRange,
                                IDiskAtomFilter predicate,
                                java.util.List<IndexExpression> rowFilter)

### Method Detail

#### requiresScanningAllRanges

    public boolean requiresScanningAllRanges()

#### postReconciliationProcessing

    public java.util.List<Row> postReconciliationProcessing(java.util.List<Row> rows)

#### getKeyspace

    public java.lang.String getKeyspace()

Specified by:
  `getKeyspace` in interface `IReadCommand`

#### createMessage

    public abstract MessageOut<? extends AbstractRangeCommand> createMessage()

#### forSubRange

    public abstract AbstractRangeCommand forSubRange(AbstractBounds<RowPosition> range)

#### withUpdatedLimit

    public abstract AbstractRangeCommand withUpdatedLimit(int newLimit)

#### limit

    public abstract int limit()

#### countCQL3Rows

    public abstract boolean countCQL3Rows()

#### ignoredTombstonedPartitions

    public boolean ignoredTombstonedPartitions()

Returns true if tombstoned partitions should not be included in results or count towards the limit. See CASSANDRA-8490 for more details on why this is needed (and done this way).

#### executeLocally

    public abstract java.util.List<Row> executeLocally()

#### getTimeout

    public long getTimeout()

Specified by:
  `getTimeout` in interface `IReadCommand`